# Uses of Interface
org.eclipse.emf.cdo.lm.ModuleType

Packages that use ModuleType
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of ModuleType in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return ModuleType
Modifier and Type
Method
Description
`ModuleType`
LMFactory.`createModuleType()`
Returns a new object of class 'Module Type'.
`ModuleType`
LMFactory.`createModuleType(String name)`
`ModuleType`
Process.`getModuleType(String name)`
`ModuleType`
Module.`getType()`
Returns the value of the 'Type' reference.
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type ModuleType
Modifier and Type
Method
Description
`EList<ModuleType>`
Process.`getModuleTypes()`
Returns the value of the 'Module Types' containment reference list.
Methods in org.eclipse.emf.cdo.lm with parameters of type ModuleType
Modifier and Type
Method
Description
`void`
Module.`setType(ModuleType value)`
Sets the value of the '`Type`' reference.

## Uses of ModuleType in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client with parameters of type ModuleType
Modifier and Type
Method
Description
`Module`
ISystemDescriptor.`createModule(String name, ModuleType type, StreamSpec streamSpec, IProgressMonitor monitor)`

## Uses of ModuleType in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement ModuleType
Modifier and Type
Class
Description
`class`
`ModuleTypeImpl`
An implementation of the model object 'Module Type'.
Methods in org.eclipse.emf.cdo.lm.impl that return ModuleType
Modifier and Type
Method
Description
`ModuleType`
ModuleImpl.`basicGetType()`
`ModuleType`
LMFactoryImpl.`createModuleType()`
`ModuleType`
LMFactoryImpl.`createModuleType(String name)`
`ModuleType`
ProcessImpl.`getModuleType(String name)`
`ModuleType`
ModuleImpl.`getType()`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type ModuleType
Modifier and Type
Method
Description
`EList<ModuleType>`
ProcessImpl.`getModuleTypes()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type ModuleType
Modifier and Type
Method
Description
`void`
ModuleImpl.`setType(ModuleType newType)`

## Uses of ModuleType in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return types with arguments of type ModuleType
Modifier and Type
Method
Description
`protected Collection<ModuleType>`
LMAppExtension.`getModuleTypes(Element lmElement)`

## Uses of ModuleType in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type ModuleType
Modifier and Type
Method
Description
`T`
LMSwitch.`caseModuleType(ModuleType object)`
Returns the result of interpreting the object as an instance of 'Module Type'.